body {
    font-family: "ubuntu", sans-serif;
    font-weight: 400;
    color: #333;
    line-height: 1.6;
    font-size: 16px;
}

a, a:hover {
    color: #a00;
    text-decoration: none;
    word-break: break-word;
}

html,button,input,select,textarea {
    color: #333;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1rem 0;
    padding: 0;
}

img {
    margin: 10px auto 10px auto;
    max-width: 100%;
    display: block;
}

a img {
    border:none;
}

figure {
    margin: 0;
    text-align: center;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

blockquote {
    margin-left: 1rem;
    font-style: normal;
    font-size: 1.0rem;
    font-family: Georgia, serif;
    border-left: 3px solid;
    border-color: rgb(121, 47, 163);
    padding-left: 20px;
}

blockquote cite {
    font-size: 70%;
    opacity: .8;
}

blockquote em {
    font-weight: 600;
}

a,a:hover {
    color: rgb(121, 47, 163); /* most important color of theme */
    text-decoration: none
}

a:hover {
    text-decoration: underline
}

h1,h2,h3,h4,h5,h6 {
    font-family: raleway,sans-serif;
    line-height: 1.2;
    color: #333;
    font-weight: 200;
}

h1 {
    font-size: 2.75rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.6rem;
}

h4 {
    font-size: 1.2rem;
}

h5 {
    font-size: 1rem;
}

h6 {
    font-size: .9rem;
}

.align-center {
    text-align: center;
}

.align-left {
    text-align: left;
}

.align-right {
    text-align: right;
}

.container {
    max-width: 800px;
}

ul {
    padding-left: 15px;
}

ul.flat {
    margin: 0;
    padding: 0;
}

ul.flat li {
    display: inline-block;
    list-style: none;
    margin-left: 0;
}

.prevent-collapse {
    min-height: .1rem
}

.page-title {
    margin: 0;
}

.smaller {
    font-size: 70%;
}

ul {
    list-style: disc inside;
}

.site-title a {
	color: #333;
	text-decoration: none !important;
}

.post ul li {
    margin-bottom: 10px;
}

.post ul li p {
    display: inline;
}

.highlight pre {
    margin-bottom: 0;
    margin-top: 0;
    padding: 20px;
    background-color: transparent !important;
}

.highlight {
    background: 0 0;
    background-color: #FAFAFA;
}

pre code {
  display: inline-block;
}
  

.wrapper {
    max-width: 760px;
    margin: 0 auto;
}

.container {
    margin-top: 50px;
}

.header {
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.header h1,
.header h2 {
    margin: 0;
    padding: 0;
    font-size: 2rem;
    line-height: 1.3em;
}

.header h2 {
    font-size: 1.125rem;
}

.header nav {
    margin-top: 20px;
    border-top: 1px solid #f4f4f4;
}

.header nav ul,
.header nav li {
    margin: 0;
}

.header nav ul.flat {
    padding: 0;
}

.header nav ul.flat li {
    display: inline-block;
    list-style: none;
    margin-left: 0;
    margin-right: 10px;
    margin-top: 10px;
    text-transform: capitalize;
}

.header .site-description {
    display: flex;
    justify-content: space-between;
}

.header .site-description nav {
    margin: 0;
    padding: 0;
    border: none;
    min-width: 50px;
    margin-left: 15px;
}

.header .site-description nav ul svg {
    max-height: 15px;
}

.section .section-header {
    font-size: 0.75rem;
    font-weight: 600;
    text-transform: uppercase;
    color: #999;
    margin-bottom: 20px;
    letter-spacing: 1px;
}

.recent-posts .posts .post {
    margin-bottom: 30px;
}

.recent-posts .posts .post .meta,
.post .post-header .meta,
.list .posts .post .meta {
    font-size: 0.725rem;
    color: #999;
    margin-bottom: 4px;
}

.post .post-header {
    margin-bottom: 30px;
}

.post .post-header .title {
    margin: 0;
}

.post-tags a {
	margin-right: 5px;
}

.post .post-header .meta {
    padding-left: 5px;
    margin-top: 10px;
}

.post .draft-label {
    color: #a00;
    text-decoration: none;
    padding: 2px 4px;
    border-radius: 4px;
    margin-left: 6px;
    background-color: #f9f2f4;
}

.post-tags .tags li {
    margin-bottom: 0;
    margin-top: 20px;
}

.post-tags .tags a {
    display: inline-block;
    border: 1px solid rgb(121, 47, 163);
    border-radius: 4px;
    padding: 0px 6px;
    color: rgb(121, 47, 163);
    line-height: 20px;
    font-size: 12px;
    text-decoration: none;
    margin: 0 1px;
}

.list .posts .post .meta {
    margin-bottom: 0;
    margin-left: 5px;
}

.footer {
    text-align: right;
    font-size: 0.75em;
    color: #999;
    border-top: 1px solid #f4f4f4;
    padding: 20px 0;
    margin-top: 40px;
}

.page-title {
    margin-bottom: 0;
}

.tag-cloud {
    margin-top: 20px;
}

.tag-cloud a {
    margin-right: 15px;
}

.pagination {
    margin: 0;
    padding: 0;
    text-align: left;
    display: flex;
    justify-content: space-between;
}

.pagination li {
    list-style: none;
    display: inline-block;
    margin: 0;
    padding: 0;
}

.pagination .page-prev {
    margin-right: 20px;
    padding-right: 20px;
}

.pagination .page-item.page-prev {
    text-align: left;
}

.pagination .page-item.page-next {
    text-align: right;
}

table th {
    background-color: #f4f4f4;
}

table th, table td {
    padding: 10px 20px;
    border: 1px solid #dddddd;
}

/* make blog responsive */
@media (max-width: 767px) {
    body {
        padding: 20px;
    }

    h1 {
        font-size: 1.8rem;
    }

    h2 {
        font-size: 1.6rem;
    }

    h3 {
        font-size: 1.2rem;
    }

    h4 {
        font-size: 1rem;
    }

    .container {
        margin-top: 10px;
    }
}

figcaption {
    font-size: 0.95rem;
    color: #d5d5db
}